summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /sys-block/noflushd
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'sys-block/noflushd')
-rw-r--r--sys-block/noflushd/Manifest4
-rw-r--r--sys-block/noflushd/files/noflushd.confd11
-rwxr-xr-xsys-block/noflushd/files/noflushd.rc631
-rw-r--r--sys-block/noflushd/metadata.xml8
-rw-r--r--sys-block/noflushd/noflushd-2.7.3.ebuild37
-rw-r--r--sys-block/noflushd/noflushd-2.7.4.ebuild37
-rw-r--r--sys-block/noflushd/noflushd-2.7.5.ebuild33
-rw-r--r--sys-block/noflushd/noflushd-2.8.ebuild33
8 files changed, 194 insertions, 0 deletions
diff --git a/sys-block/noflushd/Manifest b/sys-block/noflushd/Manifest
new file mode 100644
index 00000000000..114cf9a9c67
--- /dev/null
+++ b/sys-block/noflushd/Manifest
@@ -0,0 +1,4 @@
+DIST noflushd-2.7.3.tar.gz 145328 SHA256 d9ce71ba8603ed146b1066aca180746577910e75903dcda7e32276d99382f149
+DIST noflushd-2.7.4.tar.gz 149686 SHA256 4118451009808ba18bc773b872ac43f1e4244a09d39126210860f846248e2360
+DIST noflushd-2.8.tar.gz 180386 SHA256 aa9ab7e58d9c34e189ac63279fd8f5772564630d26c9f036b4943ecece54c278 SHA512 2bffb61aa380409efc43e7ff93d1efd93812dd2c66b4635101a608f1bd5094545e4db64e03fd318be3d3ac50be6e7278b17d9bb9ccd30c52f5e2e4337f749b50 WHIRLPOOL 950badd20e0e0d8cdd0211e1d30b1f426d3cd6922d823c50af1da4588c0e11e7387e951f046dcb24792979bba6c4bbe3dc8971c6010e16f3313c4c029bd8f2ab
+DIST noflushd_2.7.5.orig.tar.gz 149854 SHA256 f96aa8ec9e477725d5e23f5e4ab13b31d21ef190c4d28e3802f2f1a6894aadb7
diff --git a/sys-block/noflushd/files/noflushd.confd b/sys-block/noflushd/files/noflushd.confd
new file mode 100644
index 00000000000..846c8b27ef2
--- /dev/null
+++ b/sys-block/noflushd/files/noflushd.confd
@@ -0,0 +1,11 @@
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+# Config file for /etc/init.d/noflushd
+
+#TIMEOUT=60
+#DISKS=/dev/discs/disc0/disc
+#EXTRA=
+#NOFLUSHD_OPTS="-n $TIMEOUT $DISKS $EXTRA"
+
diff --git a/sys-block/noflushd/files/noflushd.rc6 b/sys-block/noflushd/files/noflushd.rc6
new file mode 100755
index 00000000000..04d8c3cf854
--- /dev/null
+++ b/sys-block/noflushd/files/noflushd.rc6
@@ -0,0 +1,31 @@
+#!/sbin/runscript
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+# NB: Config is in /etc/conf.d/noflushd
+
+depend() {
+ need localmount
+}
+
+checkconfig() {
+ if [ -z "$NOFLUSHD_OPTS" ] ; then
+ eerror "You need to setup your NOFLUSHD_OPTS first"
+ eerror "Check that you've adjusted /etc/conf.d/noflushd for your needs"
+ return 1
+ fi
+}
+
+start() {
+ checkconfig || return 1
+ ebegin "Starting noflushd"
+ start-stop-daemon --start --quiet --exec /usr/sbin/noflushd -- $NOFLUSHD_OPTS
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping noflushd"
+ start-stop-daemon --stop --quiet --pidfile /var/run/noflushd.pid
+ eend $?
+}
diff --git a/sys-block/noflushd/metadata.xml b/sys-block/noflushd/metadata.xml
new file mode 100644
index 00000000000..cab7039c0aa
--- /dev/null
+++ b/sys-block/noflushd/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>base-system</herd>
+ <upstream>
+ <remote-id type="sourceforge">noflushd</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/sys-block/noflushd/noflushd-2.7.3.ebuild b/sys-block/noflushd/noflushd-2.7.3.ebuild
new file mode 100644
index 00000000000..e4bc362b746
--- /dev/null
+++ b/sys-block/noflushd/noflushd-2.7.3.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+DESCRIPTION="A daemon to spin down your disks and force accesses to be cached"
+HOMEPAGE="http://noflushd.sourceforge.net"
+SRC_URI="mirror://sourceforge/noflushd/${P}.tar.gz"
+LICENSE="GPL-2"
+KEYWORDS="x86 amd64 ppc"
+IUSE=""
+SLOT="0"
+
+src_compile() {
+ ./configure --prefix=/usr \
+ --host=${CHOST} \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --with-docdir=/usr/share/doc/${PF} || die "configure problem"
+ emake || die "compile problem"
+}
+
+src_install () {
+ dosbin src/noflushd
+ doman man/noflushd.8
+ dodoc README NEWS
+
+ newinitd "${FILESDIR}"/noflushd.rc6 noflushd
+ newconfd "${FILESDIR}"/noflushd.confd noflushd
+}
+
+pkg_postinst() {
+ einfo 'Run "rc-update add noflushd default" to add it to the'
+ einfo "default runlevel."
+
+ ewarn "noflushd works with IDE devices only."
+ ewarn "It has possible problems with reiserfs, too."
+}
diff --git a/sys-block/noflushd/noflushd-2.7.4.ebuild b/sys-block/noflushd/noflushd-2.7.4.ebuild
new file mode 100644
index 00000000000..439fc4a305f
--- /dev/null
+++ b/sys-block/noflushd/noflushd-2.7.4.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+DESCRIPTION="A daemon to spin down your disks and force accesses to be cached"
+HOMEPAGE="http://noflushd.sourceforge.net"
+SRC_URI="mirror://sourceforge/noflushd/${P}.tar.gz"
+LICENSE="GPL-2"
+KEYWORDS="~x86 ~amd64 ~ppc"
+IUSE=""
+SLOT="0"
+
+src_compile() {
+ ./configure --prefix=/usr \
+ --host=${CHOST} \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --with-docdir=/usr/share/doc/${PF} || die "configure problem"
+ emake || die "compile problem"
+}
+
+src_install () {
+ dosbin src/noflushd
+ doman man/noflushd.8
+ dodoc README NEWS
+
+ newinitd "${FILESDIR}"/noflushd.rc6 noflushd
+ newconfd "${FILESDIR}"/noflushd.confd noflushd
+}
+
+pkg_postinst() {
+ einfo 'Run "rc-update add noflushd default" to add it to the'
+ einfo "default runlevel."
+
+ ewarn "noflushd works with IDE devices only."
+ ewarn "It has possible problems with reiserfs, too."
+}
diff --git a/sys-block/noflushd/noflushd-2.7.5.ebuild b/sys-block/noflushd/noflushd-2.7.5.ebuild
new file mode 100644
index 00000000000..8598a589848
--- /dev/null
+++ b/sys-block/noflushd/noflushd-2.7.5.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+DESCRIPTION="A daemon to spin down your disks and force accesses to be cached"
+HOMEPAGE="http://noflushd.sourceforge.net/"
+SRC_URI="mirror://sourceforge/noflushd/${PN}_${PV}.orig.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE=""
+
+src_compile() {
+ econf \
+ --with-docdir=/usr/share/doc/${PF} \
+ --with-initdir=/etc/init.d
+ emake || die
+}
+
+src_install() {
+ emake install DESTDIR="${D}" || die
+ dodoc NEWS
+ prepalldocs
+
+ newinitd "${FILESDIR}"/noflushd.rc6 noflushd
+ newconfd "${FILESDIR}"/noflushd.confd noflushd
+}
+
+pkg_postinst() {
+ ewarn "noflushd works with IDE devices only."
+ ewarn "It has possible problems with reiserfs, too."
+}
diff --git a/sys-block/noflushd/noflushd-2.8.ebuild b/sys-block/noflushd/noflushd-2.8.ebuild
new file mode 100644
index 00000000000..3e54d7df680
--- /dev/null
+++ b/sys-block/noflushd/noflushd-2.8.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+DESCRIPTION="A daemon to spin down your disks and force accesses to be cached"
+HOMEPAGE="http://noflushd.sourceforge.net/"
+SRC_URI="mirror://sourceforge/noflushd/${PN}-${PV}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE=""
+
+src_configure() {
+ econf \
+ --with-docdir=/usr/share/doc/${PF} \
+ --with-initdir=/etc/init.d
+}
+
+src_install() {
+ emake install DESTDIR="${D}"
+ dodoc NEWS
+
+ newinitd "${FILESDIR}"/noflushd.rc6 noflushd
+ newconfd "${FILESDIR}"/noflushd.confd noflushd
+}
+
+pkg_postinst() {
+ ewarn "noflushd works with IDE devices only."
+ ewarn "It has possible problems with reiserfs, too."
+}